Subject: Re: bug#73363: 30.0.91; CJK Font Rendering Behavior Changed

From: Po Lu <[email-masked]>
Date: Fri, 20 Sep 2024 07:51:13 +0800

Robert Pluim <[email-masked]> writes:

>>>>>> On Thu, 19 Sep 2024 19:33:01 +0300, Eli Zaretskii <[email-masked]>
> said:
>
>     Eli> I cannot reproduce this, but I'm not on macOS.  Can someone
>     Eli> reproduce
>     Eli> this on GNU/Linux and/or on macOS?
>
> On GNU/Linux I get the same result from
> emacs-29 and emacs-30 ("-GOOG-Noto Sans CJK
> KR-regular-normal-normal-*-16-*-*-*-*-0-iso10646-1""
>
> On macOs it changes from "PingFang SC" to "Arial Unicode MS" when I go
> from emacs-29 to emacs-30
>
>     Eli> The only changes I see in fontset.el due to Android which
>     Eli> could
>     Eli> explain this are supposed to be in effect only when Emacs is
>     Eli> built for
>     Eli> Android.  I see quite some changes in macfont.m, but they
>     Eli> seem to
>     Eli> affect font's weight and slant, so I'm not sure how that
>     Eli> could be
>     Eli> relevant.
>
> It doesnʼt appear to be either of those. Iʼd bisect, but right now I
> donʼt have time for that.
>
> Robert

Could it be 1727777a (a Git revision)?  Would the OP try reverting it?